
{% extends "layouts/master.html.twig" %}


{% block titulo %}
    {{ titulo}}
{% endblock %}

{% block cabecera %}
    {{parent()}}
    <h2>Animales</h2>
{% endblock %}
{% block cuerpo %}
    <hr>
    <h2>Animal: {{animal}}</h2>
    <h2>Nombre: {{nombre}}</h2>
    <h2>Teléfono: {{telefono}}</h2>
    <hr>

    {# Esto es un comentario en twig#}

    {#Vamos a crear unavariable en twig,
    lo hacemos asi:#}
    {% set perro='bulldog francés' %}

    {# Y ahora lo imprimimos: #}
    {{ perro }}

    {# ------Trabajo con arrays en twig ------#}

    {#  Hacer un vardump(): #}
    {{ dump(animales) }}

    {# Mostrar elemento array: #}
    {{ animales[2] ~" "~animales[1]}}

    {# mostrar array asociativo #}

    <br>
    {{ caballo.raza ~" "~caballo.edad~" años" }}

    {# Estructuras de control en twig: #}

    {% if caballo.raza=="portugués" %}
        <h4>El caballo es de raza portuguesa</h4>
    {% else %}    
        <h4>El caballo es de otra raza</h4>
    {% endif %}

    {% if animales|length >0 %}
        {% for animal in animales %}
            <li>{{ animal }}</li>
            {% endfor %}
        {% endif %}

    {% for i in 0..10 %}
        {{ i }}
    {% endfor %}

    <br>
    {% for i in 1..animales|length %}
        {{ i }}
    {% endfor %}


    {# filtros starts y ends #}

    <br>
    {% if caballo.raza starts with 'por'  %}

        {{ " El caballo es portugués" }}
    {% else %}

        {{ "El caballo NO es portugués" }}
    {% endif %}

    <br>
    {% if caballo.sexo ends with 'a'  %}

        {{ " El caballo es una hembra" }}
    {% else %}

        {{ "El caballo es un macho" }}
    {% endif %}

    <br>
    
    {# hacer include de una vista, las variables cargadas en esta ya le llegan por defecto
    en caso de queres pasarle más se le pasa como un argumento en forma de objeto JSON como aquí: #}
    {{ include('parciales/funciones.html.twig',{ciudad:'Santander',provincia:'Cantabria',ccaa:'CC.AA de Cantabria'}) }}

{% endblock %}

